task JI {
	File vcf_a
	File vcf_b
	String dir_name
	File sdf
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		set -o pipefail
		set -e
		rtg bgzip ${vcf_a} -c > vcf_a.vcf.gz
		rtg index vcf_a.vcf.gz

		rtg bgzip ${vcf_b} -c > vcf_b.vcf.gz
		rtg index vcf_b.vcf.gz

		rtg vcfeval -b vcf_a.vcf.gz -c vcf_b.vcf.gz -o ${dir_name} -t ${sdf}
		mv ${dir_name}/summary.txt ${dir_name}.txt

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File JI_summary = "${dir_name}.txt"
	}
}