import "./tasks/prepare_pairs.wdl" as pairs
import "./tasks/jaccard_index.wdl" as JI
import "./tasks/mergeJI.wdl" as mergeJI


workflow {{ project_name }} {

	File filelist
	File sdf
	String cluster_config
	String disk_size

	call pairs.pairs as pairs {
		input:
		filelist=filelist,
		cluster_config=cluster_config,
		disk_size=disk_size
	}

	Array[Array[File]] inputJIpairs = read_tsv(pairs.rtg_pairs)

	scatter (pair in inputJIpairs) {
		call JI.JI as JI {
			input:
			vcf_a=pair[0],
			vcf_b=pair[1],
			dir_name=pair[2],
			sdf=sdf,
			cluster_config=cluster_config,
			disk_size=disk_size
		}	
	}

	call mergeJI.mergeJI as mergeJI {
		input:
		JI_summary=JI.JI_summary,
		inputJIpiarsFile=pairs.rtg_pairs,
		cluster_config=cluster_config,
		disk_size=disk_size
	}

}

